org.apache.storm.container.cgroup.core

## Enum FreezerCore.State

- java.lang.Object
- - java.lang.Enum<FreezerCore.State>
  - - org.apache.storm.container.cgroup.core.FreezerCore.State

- All Implemented Interfaces:
    Serializable, Comparable<FreezerCore.State>
  Enclosing class:
    FreezerCore

      public static enum FreezerCore.State
      extends Enum<FreezerCore.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `freezing`
    `frozen`
    `thawed`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FreezerCore.State` | `getStateValue(String state)`
    `static FreezerCore.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FreezerCore.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### frozen

          public static final FreezerCore.State frozen

    - #### freezing

          public static final FreezerCore.State freezing

    - #### thawed

          public static final FreezerCore.State thawed

  - ### Method Detail

    - #### values

          public static FreezerCore.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FreezerCore.State c : FreezerCore.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FreezerCore.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getStateValue

          public static FreezerCore.State getStateValue(String state)

Copyright © 2021 The Apache Software Foundation. All rights reserved.